Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358596 - Failed group installs marked as installed.
Summary: Failed group installs marked as installed.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 05:46 UTC by Andrew E. Mileski
Modified: 2016-07-21 05:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-21 05:56:28 UTC


Attachments (Terms of Use)

Description Andrew E. Mileski 2016-07-21 05:46:02 UTC
Description of problem:

In the past two days I've seen the same behaviour on two different architectures (i686 and armv7hl):  a group install fails for what ever reason, resulting in the group not being fulling installed, yet the group is marked as installed.

In the most recent case, there were 147 missing packages.  These were then manually installed successfully.

How reproducible:

Seems very reproducible ... if the group install fails.

Steps to Reproduce:

1.  Do a fresh install.
2.  Try to install a group, which fails.
3.  Retry to install the same group.
5.  Retry fails as group is reported as already installed.

Actual results:

Group is not actually installed.

Expected results:

Group should be installed.

Additional info:

Both times the group install failed after a fresh system install.  The group being installed was "MATE Desktop" on i686 and "Xfce Desktop" on armv7hl, which only the large-ish number of packages in the group seems relevant (more likely to cause some sort of dependency error on the first group install).

Comment 1 Igor Gnatenko 2016-07-21 05:56:28 UTC
Fixed in 2.0 release which will be pushed to F24+ at some point (soon).


Note You need to log in before you can comment on or make changes to this bug.